commit: e2858097f753a5ae5eeda0e6019ba47b82195188
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 19 05:55:14 2019 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Sep 19 06:03:56 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2858097
dev-ruby/httparty: fix gemspec generation
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/httparty/httparty-0.17.1.ebuild | 2 ++
1 file changed, 2 insertions(+)
diff --git a/dev-ruby/httparty/httparty-0.17.1.ebuild
b/dev-ruby/httparty/httparty-0.17.1.ebuild
index 91c3eb58c40..418e319afe6 100644
--- a/dev-ruby/httparty/httparty-0.17.1.ebuild
+++ b/dev-ruby/httparty/httparty-0.17.1.ebuild
@@ -28,6 +28,8 @@ ruby_add_rdepend 'dev-ruby/mime-types:3
>=dev-ruby/multi_xml-0.5.2'
ruby_add_bdepend 'test? ( dev-ruby/webmock )'
all_ruby_prepare() {
+ sed -i -e 's/git ls-files \?-\?-\?/find/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
# Remove bundler
rm Gemfile || die
sed -i -e '/[Bb]undler/ s:^:#:' Rakefile || die